package com.ruoyi.system.service.publicservice;


import com.ruoyi.system.domain.publicservice.TPublicServiceIsound;

import java.util.List;

/**
 * 公共服务 我发声表
 * @author wujm<wujm@eazytec.com>
 */
public interface TPublicServiceIsoundService {

    /**
     * 分页查询
     * @param tPublicServiceIsound
     * @return
     */
	List<TPublicServiceIsound> listTPublicServiceIsound(TPublicServiceIsound tPublicServiceIsound);

    /**
     * 新增
     * @param tPublicServiceIsound
     * @return
     */
    int saveTPublicServiceIsound(TPublicServiceIsound tPublicServiceIsound);

    /**
     * 根据id查询
     * @param id
     * @return
     */
    TPublicServiceIsound getTPublicServiceIsoundById(Long id);

    /**
     * 修改
     * @param tPublicServiceIsound
     * @return
     */
    int updateTPublicServiceIsound(TPublicServiceIsound tPublicServiceIsound);

    /**
     * 删除
     * @param ids
     * @return
     */
    int batchRemove(Long[] ids);

    //获取我发声最大code
    String getMaxNum();

    //保存 及附件
    int saveISound(TPublicServiceIsound tPublicServiceIsound);

    //返回 及附件
    TPublicServiceIsound getIsoundById(Long id);

    //更新 积分
    int updateIsound(TPublicServiceIsound tPublicServiceIsound, String realName);

}
